aboutsummaryrefslogtreecommitdiff
path: root/bin/gms
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-09-09 01:43:35 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-09-09 01:43:35 +1200
commit57a0cfdd980ab5977bdd66ae07f2c21230407b20 (patch)
tree0fbdda981831a430eaf1b68614cd0ae99719ceba /bin/gms
parentAdd completion for git-reset(1) (diff)
downloaddotfiles-57a0cfdd980ab5977bdd66ae07f2c21230407b20.tar.gz
dotfiles-57a0cfdd980ab5977bdd66ae07f2c21230407b20.zip
Restore correct short-circuit for gms(1df)
Diffstat (limited to 'bin/gms')
-rwxr-xr-xbin/gms6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/gms b/bin/gms
index f468c375..1cc5b0df 100755
--- a/bin/gms
+++ b/bin/gms
@@ -20,12 +20,12 @@ uid=$(id -u) || exit
# Iterate through the getmailrc.* files in $GETMAIL if defined, or
# $HOME/.getmail if not
-for rcfile in "${GETMAIL:-$HOME/.getmail}"/getmailrc.* ; do {
+for rcfile in "${GETMAIL:-$HOME/.getmail}"/getmailrc.* ; do (
lockdir=${TMPDIR:-/tmp}/getmail.$uid.${rcfile##*/}.lock
- mkdir -m 0700 -- "$lockdir" 2>/dev/null || continue
+ mkdir -m 0700 -- "$lockdir" 2>/dev/null || exit
try -n 3 -s 15 getmail --rcfile "$rcfile" "$@"
rm -fr -- "$lockdir" && lockdir=
-} & done
+) & done
# Wait for all of the enqueued tasks to finish
wait